begin

convention positive_current_flow=inward

load_mesh mesh_inf=si_jbs.aps  suprem_import=yes
output sol_outf=Vf.out

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$  Map materials from CSUPREM
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$


suprem_to_apsys_material suprem_mater=3 apsys_mater=1
suprem_to_apsys_material suprem_mater=1 apsys_mater=2
suprem_to_apsys_material suprem_mater=4 apsys_mater=3
suprem_to_apsys_material suprem_mater=2 apsys_mater=4
suprem_to_apsys_material suprem_mater=6 apsys_mater=5
suprem_to_apsys_material suprem_mater=21  apsys_mater=6
suprem_property user_material_mapping = yes

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$  Load the Macros for the material properties
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

load_macro name= si mater= 1
load_macro name= sio2 mater= 2
load_macro name= poly mater= 3
load_macro name=sin mater=4
load_macro name=al mater=5
material_label_define label=titanium mater=   6
load_macro name=ti mater=   6 &&
  var_symbol1=xlam  var1=  0.4000E+00

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$  Set the top contact work function
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

affinity mater=6 value=4.89
no_auto_workfunction mater= 6


$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$ Define the contacts
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$


suprem_contact num=1 xrange=(0.0 0.4)  yrange=(-9999.000000 &&
9999.000000) touch_mater=6 side=upper

suprem_contact num=2 xrange=(0.6 1.25)  yrange=(-9999.000000 &&
9999.000000) touch_mater=6 side=upper


suprem_contact num=3 xrange=(0.0 5.0)  yrange=(-9999.000000 &&
9999.000000) touch_mater=1 side=lower


contact  num=1 type=ohmic
contact  num=2 type=ohmic
contact  num=3

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$ Use the Lombardi Mobility model
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$


mobility_xy elec_field_model=lombardi hole_field_model=lombardi

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$ Use the Chynoweth impact ionization model
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$


impact_okuto_crowell mater=1


more_output space_charge=yes impact_ionization=yes ac_data=no &&
 elec_mobility=yes hole_mobility=yes

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$  Equilibrium solution
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

newton_par damping_step=8. var_tol=1.e-2 res_tol=1.e-2 &&
  max_iter=50 opt_iter=15 stop_iter=15

equilibrium

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
$
$  Scan voltage to BV followed by current boundary condition
$
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$


scan var=voltage_3 value_to=-2.8 min_step=1e-6 max_step=0.02 &&
init_step=0.001



end